package danielcortes.xyz.models.tipo_egreso;

import java.util.Objects;

public class TipoEgresoToStringWrapper extends TipoEgreso {
  private TipoEgreso tipoEgreso;

  public TipoEgresoToStringWrapper(TipoEgreso tipoEgreso) {
    this.tipoEgreso = tipoEgreso;
  }

  @Override
  public String getNombre() {
    return tipoEgreso.getNombre();
  }

  @Override
  public void setNombre(String nombre) {
    tipoEgreso.setNombre(nombre);
  }

  @Override
  public int getId() {
    return tipoEgreso.getId();
  }

  @Override
  public void setId(int id) {
    tipoEgreso.setId(id);
  }

  @Override
  public String toString() {
    return this.tipoEgreso.getNombre();
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (!(o instanceof TipoEgresoToStringWrapper)) {
      return false;
    }
    if (!super.equals(o)) {
      return false;
    }
    TipoEgresoToStringWrapper that = (TipoEgresoToStringWrapper) o;
    return Objects.equals(tipoEgreso, that.tipoEgreso);
  }

  @Override
  public int hashCode() {
    return Objects.hash(super.hashCode(), tipoEgreso);
  }
}
